/*
 * $Id: DumbSitAndWait.java,v 1.3 2002-09-01 23:42:52-07 ball Exp $
 *
 * Copyright 2002 Allen D. Ball.  All rights reserved.
 */
package player.strategy;

import player.*;

/**
 * A dumb sit-and-wait strategy.
 *
 * @author <a href="mailto:ball@iprotium.com">Allen D. Ball</a>
 * @version $Revision: 1.3 $
 */
public class DumbSitAndWait extends Strategy {
    static private Command noop = new PickCommand();

    /**
     * Creates a dumb sit-and-wait player strategy.
     */
    public DumbSitAndWait() { super(); }

    public Command nextCommand() { return noop; }
}
/*
 * $Log: DumbSitAndWait.java,v $
 * Revision 1.3  2002-09-01 23:42:52-07  ball
 * Changes to match superclass constructor.
 *
 * Revision 1.2  2002-09-01 08:39:15-07  ball
 * Move Strategy class implementations to their own package.
 *
 * Revision 1.1  2002-08-31 17:46:24-07  ball
 * Initial revision
 *
 */
